Standard SMM API v2 — compatible with all major reseller panels (JAP, SMMStone, etc.). All requests are POST with application/x-www-form-urlencoded body.
API URL
https://socialmediapanels.com/api/v2HTTP Method
POSTResponse format
JSONYour API Key
Login or register to get your free API key.
| action | Required parameters | Description |
|---|---|---|
| services | key, action | List all available services |
| add | key, action, service, link, quantity | Place a new order |
| status | key, action, order (or orders=1,2,3) | Single or batch order status |
| refill | key, action, order (or orders=1,2,3) | Request refill on order(s) |
| refill_status | key, action, refill (or refills=1,2,3) | Check refill status |
| cancel | key, action, orders=1,2,3 | Cancel orders |
| balance | key, action | Get current balance |
Parameters
| key | Your API key |
| action | services |
Example request
curl -X POST "https://socialmediapanels.com/api/v2" \ -d "key=YOUR_API_KEY&action=services"
Response (JSON)
[
{
"service": 1,
"name": "Instagram Followers",
"type": "Default",
"category": "Instagram",
"rate": "0.90",
"min": "50",
"max": "10000",
"refill": true,
"cancel": true
}
]Parameters
| key | Your API key |
| action | add |
| service | Service ID |
| link | Link to page / profile |
| quantity | Required quantity |
| comments | Optional — for custom comment services; newline-separated |
Example request
curl -X POST "https://socialmediapanels.com/api/v2" \ -d "key=YOUR_API_KEY&action=add&service=...&link=...&quantity=...&comments=..."
Response (JSON)
{
"order": 23501
}Parameters
| key | Your API key |
| action | status |
| order | Order ID |
Example request
curl -X POST "https://socialmediapanels.com/api/v2" \ -d "key=YOUR_API_KEY&action=status&order=..."
Response (JSON)
{
"charge": "0.27819",
"start_count": "3572",
"status": "Partial",
"remains": "157",
"currency": "USD"
}Parameters
| key | Your API key |
| action | status |
| orders | Order IDs (comma-separated, up to 100) |
Example request
curl -X POST "https://socialmediapanels.com/api/v2" \ -d "key=YOUR_API_KEY&action=status&orders=..."
Response (JSON)
{
"1": { "charge": "0.27819", "status": "Partial", "remains": "157", "currency": "USD" },
"10": { "error": "Incorrect order ID" }
}Parameters
| key | Your API key |
| action | refill |
| order | Order ID |
Example request
curl -X POST "https://socialmediapanels.com/api/v2" \ -d "key=YOUR_API_KEY&action=refill&order=..."
Response (JSON)
{
"refill": "1"
}Parameters
| key | Your API key |
| action | refill_status |
| refill | Refill ID |
Example request
curl -X POST "https://socialmediapanels.com/api/v2" \ -d "key=YOUR_API_KEY&action=refill_status&refill=..."
Response (JSON)
{
"status": "Completed"
}Parameters
| key | Your API key |
| action | cancel |
| orders | Order IDs (comma-separated, up to 100) |
Example request
curl -X POST "https://socialmediapanels.com/api/v2" \ -d "key=YOUR_API_KEY&action=cancel&orders=..."
Response (JSON)
[
{ "order": 9, "cancel": { "error": "Incorrect order ID" } },
{ "order": 2, "cancel": 1 }
]Parameters
| key | Your API key |
| action | balance |
Example request
curl -X POST "https://socialmediapanels.com/api/v2" \ -d "key=YOUR_API_KEY&action=balance"
Response (JSON)
{
"balance": "100.84292",
"currency": "USD"
}Order status
Pending — Order received, queuedIn progress — Order is being deliveredCompleted — Order delivered fullyPartial — Partially delivered, remainder refundedCanceled — Cancelled and refundedRefill status
Pending — Refill request receivedIn progress — Refill in progressCompleted — Refill deliveredRejected — Refill not accepted